From: Maximiliano Curia <maxy@gnuservers.com.ar>
Date: Tue, 15 May 2018 15:02:16 +0200
Subject: kdirwatch tests method specific

Skip the tests that won't work for the current backend
---
 autotests/kdirwatch_unittest.cpp | 9 +++++++++
 1 file changed, 9 insertions(+)

Index: kcoreaddons/autotests/kdirwatch_unittest.cpp
===================================================================
--- kcoreaddons.orig/autotests/kdirwatch_unittest.cpp
+++ kcoreaddons/autotests/kdirwatch_unittest.cpp
@@ -636,6 +636,10 @@ void KDirWatch_UnitTest::testHardlinkCha
     // We won't detect the change then, if we use that as baseline for waiting.
     // We really need msec granularity, but that requires using statx which isn't available everywhere...
     waitUntilNewSecond();
+    auto method = qgetenv("KDIRWATCH_METHOD");
+    if ((method != "INotify") && (method != "Fam")) {
+        QSKIP("Only works with the inotify and fam backends", SkipSingle);
+    }
     appendToFile(existingFile);
     QVERIFY(waitForOneSignal(watch, SIGNAL(dirty(QString)), existingFile));
 #else
